> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization



## OpenAPI

````yaml /api-reference/openapi.json post /api/orgs
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/orgs:
    post:
      tags:
        - organizations
      summary: Create Organization
      operationId: create_organization_api_orgs_post
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrganizationCreate:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        slug:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Slug
        license_type:
          type: string
          title: License Type
          default: organization
        plan_tier:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan Tier
          default: trial
        license_key:
          anyOf:
            - type: string
            - type: 'null'
          title: License Key
        license_expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: License Expires At
        max_users:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Users
        max_datasets:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Datasets
        max_total_scans:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Total Scans
        max_concurrent_scans:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Concurrent Scans
        max_queue_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Queue Size
        max_dataset_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Dataset Size Bytes
        max_total_storage_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Total Storage Bytes
      type: object
      required:
        - name
      title: OrganizationCreate
    OrganizationRead:
      properties:
        id:
          type: integer
          title: Id
        uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Uuid
        name:
          type: string
          title: Name
        slug:
          type: string
          title: Slug
        license_type:
          type: string
          title: License Type
        license_key:
          anyOf:
            - type: string
            - type: 'null'
          title: License Key
        license_expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: License Expires At
        plan_tier:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan Tier
        max_users:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Users
        max_datasets:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Datasets
        max_total_scans:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Total Scans
        max_concurrent_scans:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Concurrent Scans
        max_queue_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Queue Size
        max_dataset_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Dataset Size Bytes
        max_total_storage_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Total Storage Bytes
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        member_count:
          type: integer
          title: Member Count
          default: 0
      type: object
      required:
        - id
        - name
        - slug
        - license_type
      title: OrganizationRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````